Unit DZModelCompany;

interface
Uses SysUtils,Classes,DB,BaseModel;
Type
TModelCompany=Class 
Private
  FCmpID:TDZModel;
  FCmpGuid:TDZModel;
  FCmpLogo:TDZModel;
  FCmpName:TDZModel;
  FIndustryID:TDZModel;
  FCmpTypeID:TDZModel;
  FWeb:TDZModel;
  FIntroduct:TDZModel;
  FCityID:TDZModel;
  FLinkMan:TDZModel;
  FTel:TDZModel;
  FFax:TDZModel;
  FMobile:TDZModel;
  FEmail:TDZModel;
  FAddress:TDZModel;
  FPostCode:TDZModel;
  FQQ:TDZModel;
  FMSN:TDZModel;
  FCreatetime:TDZModel;
  FCmpStatus:TDZModel;
Public
Constructor Create;
Destructor Destroy;
  Property CmpID:TDZModel Read FCmpID Write FCmpID;
  Property CmpGuid:TDZModel Read FCmpGuid Write FCmpGuid;
  Property CmpLogo:TDZModel Read FCmpLogo Write FCmpLogo;
  Property CmpName:TDZModel Read FCmpName Write FCmpName;
  Property IndustryID:TDZModel Read FIndustryID Write FIndustryID;
  Property CmpTypeID:TDZModel Read FCmpTypeID Write FCmpTypeID;
  Property Web:TDZModel Read FWeb Write FWeb;
  Property Introduct:TDZModel Read FIntroduct Write FIntroduct;
  Property CityID:TDZModel Read FCityID Write FCityID;
  Property LinkMan:TDZModel Read FLinkMan Write FLinkMan;
  Property Tel:TDZModel Read FTel Write FTel;
  Property Fax:TDZModel Read FFax Write FFax;
  Property Mobile:TDZModel Read FMobile Write FMobile;
  Property Email:TDZModel Read FEmail Write FEmail;
  Property Address:TDZModel Read FAddress Write FAddress;
  Property PostCode:TDZModel Read FPostCode Write FPostCode;
  Property QQ:TDZModel Read FQQ Write FQQ;
  Property MSN:TDZModel Read FMSN Write FMSN;
  Property Createtime:TDZModel Read FCreatetime Write FCreatetime;
  Property CmpStatus:TDZModel Read FCmpStatus Write FCmpStatus;
End;

implementation

Constructor TModelCompany.Create;
Begin
  FCmpID:=TDZModel.Create;
  FCmpID.DType:=ftAutoInc;
  FCmpID.FieldName:='CmpID';
  FCmpGuid:=TDZModel.Create;
  FCmpGuid.FieldName:='CmpGuid';
  FCmpGuid.Remark:='˾GUID';
  FCmpLogo:=TDZModel.Create;
  FCmpLogo.FieldName:='CmpLogo';
  FCmpLogo.Remark:='˾LOGOͼ';
  FCmpName:=TDZModel.Create;
  FCmpName.FieldName:='CmpName';
  FCmpName.Remark:='˾';
  FIndustryID:=TDZModel.Create;
  FIndustryID.FieldName:='IndustryID';
  FIndustryID.Remark:='ҵID';
  FCmpTypeID:=TDZModel.Create;
  FCmpTypeID.FieldName:='CmpTypeID';
  FCmpTypeID.Remark:='˾ID(ҵ/̡ó/̡ն˲ɹ̡)';
  FWeb:=TDZModel.Create;
  FWeb.FieldName:='Web';
  FWeb.Remark:='ַ';
  FIntroduct:=TDZModel.Create;
  FIntroduct.FieldName:='Introduct';
  FIntroduct.Remark:='';
  FCityID:=TDZModel.Create;
  FCityID.FieldName:='CityID';
  FCityID.Remark:='ID';
  FLinkMan:=TDZModel.Create;
  FLinkMan.FieldName:='LinkMan';
  FLinkMan.Remark:='ϵ';
  FTel:=TDZModel.Create;
  FTel.FieldName:='Tel';
  FTel.Remark:='绰';
  FFax:=TDZModel.Create;
  FFax.FieldName:='Fax';
  FFax.Remark:='';
  FMobile:=TDZModel.Create;
  FMobile.FieldName:='Mobile';
  FMobile.Remark:='ֻ';
  FEmail:=TDZModel.Create;
  FEmail.FieldName:='Email';
  FAddress:=TDZModel.Create;
  FAddress.FieldName:='Address';
  FAddress.Remark:='ַ';
  FPostCode:=TDZModel.Create;
  FPostCode.FieldName:='PostCode';
  FPostCode.Remark:='ʱ';
  FQQ:=TDZModel.Create;
  FQQ.FieldName:='QQ';
  FMSN:=TDZModel.Create;
  FMSN.FieldName:='MSN';
  FCreatetime:=TDZModel.Create;
  FCreatetime.FieldName:='Createtime';
  FCreatetime.Remark:='';
  FCmpStatus:=TDZModel.Create;
  FCmpStatus.FieldName:='CmpStatus';
  FCmpStatus.Remark:='״̬0ã12߼ɾ';
End;
Destructor TModelCompany.Destroy;
Begin
  FCmpID.Free;
  FCmpGuid.Free;
  FCmpLogo.Free;
  FCmpName.Free;
  FIndustryID.Free;
  FCmpTypeID.Free;
  FWeb.Free;
  FIntroduct.Free;
  FCityID.Free;
  FLinkMan.Free;
  FTel.Free;
  FFax.Free;
  FMobile.Free;
  FEmail.Free;
  FAddress.Free;
  FPostCode.Free;
  FQQ.Free;
  FMSN.Free;
  FCreatetime.Free;
  FCmpStatus.Free;
  Inherited;
End;

End.
